org.apache.any23.extractor.openie

## Class OpenIEExtractorFactory

- java.lang.Object
- - org.apache.any23.extractor.SimpleExtractorFactory<OpenIEExtractor>
  - - org.apache.any23.extractor.openie.OpenIEExtractorFactory

- All Implemented Interfaces:
    ExtractorDescription, ExtractorFactory<OpenIEExtractor>

      public class OpenIEExtractorFactory
      extends SimpleExtractorFactory<OpenIEExtractor>
      implements ExtractorFactory<OpenIEExtractor>

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`
    `static Prefixes` | `prefixes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenIEExtractorFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenIEExtractor` | `createExtractor()` Creates an extractor instance.
    `static ExtractorDescription` | `getDescriptionInstance()`

    - ### Methods inherited from class org.apache.any23.extractor.SimpleExtractorFactory

      `getExampleInput, getExtractorLabel, getExtractorName, getPrefixes, getSupportedMIMETypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.any23.extractor.ExtractorFactory

      `getExampleInput, getSupportedMIMETypes`

    - ### Methods inherited from interface org.apache.any23.extractor.ExtractorDescription

      `getExtractorLabel, getExtractorName, getPrefixes`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### prefixes

          public static final Prefixes prefixes

  - ### Constructor Detail

    - #### OpenIEExtractorFactory

          public OpenIEExtractorFactory()

  - ### Method Detail

    - #### createExtractor

          public OpenIEExtractor createExtractor()

      Description copied from interface: `ExtractorFactory`
      Creates an extractor instance.
      Specified by:
        `createExtractor` in interface `ExtractorFactory<OpenIEExtractor>`
      Returns:
        an instance of the extractor associated to this factory.

    - #### getDescriptionInstance

          public static ExtractorDescription getDescriptionInstance()

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.